Bug 1223894 - util-linux FTBFS during stage1 bootstrap - the configure script doesn't support --without-tinfo
util-linux FTBFS during stage1 bootstrap - the configure script doesn't suppo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-bootstrap
  Show dependency treegraph
 
Reported: 2015-05-21 12:07 EDT by Jaromír Cápík
Modified: 2016-01-31 21:01 EST (History)
3 users (show)

See Also:
Fixed In Version: util-linux-2.25.2-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-01 13:05:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
util-linux.log (438.37 KB, text/plain)
2015-05-21 12:07 EDT, Jaromír Cápík
no flags Details

  None (edit)
Description Jaromír Cápík 2015-05-21 12:07:44 EDT
Created attachment 1028272 [details]
util-linux.log

Description of problem:
During the stage1 bootstrap the ncurses-devel headers are not available in the buildroot, but the configure script detects the tinfo headers in the rootfs and the build consequently fails. As a workaround we had to uninstall ncurses-devel on the builder. Please, add support for --without-tinfo.

Version-Release number of selected component (if applicable):
util-linux-2.25.2-2.fc21

How reproducible:
always
Comment 1 Fedora Update System 2015-05-22 08:20:12 EDT
util-linux-2.25.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/util-linux-2.25.2-3.fc21
Comment 2 Fedora Update System 2015-05-25 23:39:33 EDT
Package util-linux-2.25.2-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.25.2-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8800/util-linux-2.25.2-3.fc21
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2015-06-01 13:05:23 EDT
util-linux-2.25.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.